# Interface AbstractTrigger

#### Hierarchy

- AbstractTrigger

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:5

#####
Index

### Properties

action
channel?
configuration
description?
id?
min_role?
name?
table_id?
table_name?
when_trigger

### Methods

clone
delete
getTags
runWithoutRow
toJson

## Properties

### action

action: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:7

### `Optional` channel

channel?: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:12

### configuration

configuration: any

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:14

### `Optional` description

description?: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:8

### `Optional` id

id?: null | number

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:13

### `Optional` min_role

min_role?: number

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:15

### `Optional` name

name?: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:6

### `Optional` table_id

table_id?: null | number

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:9

### `Optional` table_name

table_name?: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:10

### when_trigger

when_trigger: string

- Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:11

## Methods

### clone

- clone(): Promise<AbstractTrigger>

- #### Returns Promise<AbstractTrigger>

  - Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:19

### delete

- delete(): Promise<void>

- #### Returns Promise<void>

  - Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:18

### getTags

- getTags(): Promise<AbstractTag[]>

- #### Returns Promise<AbstractTag[]>

  - Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:22

### runWithoutRow

- runWithoutRow(runargs): Promise<boolean>

- #### Parameters

  - ##### runargs: any

  #### Returns Promise<boolean>

  - Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:21

### toJson

- toJson(): any

- #### Returns any

  - Defined in saltcorn-types/model-abstracts/abstract_trigger.ts:17

Generated using TypeDoc